<?php

/**
 * UserIdentity represents the data needed to identity a user.
 * It contains the authentication method that checks if the provided
 * data can identity the user.
 */

/* 
class UserIdentity extends CUserIdentity
{
	/**
	 * Authenticates a user.
	 * The example implementation makes sure if the username and password
	 * are both 'demo'.
	 * In practical applications, this should be changed to authenticate
	 * against some persistent user identity storage (e.g. database).
	 * @return boolean whether authentication succeeds.
	 */
/*	public function authenticate()
	{
		$users=array(
			// username => password
			'BHG'=>'admin',
			'admin'=>'admin',
			'demo'=>'demo,'
		);
		if(!isset($users[$this->username]))
			$this->errorCode=self::ERROR_USERNAME_INVALID;
		elseif($users[$this->username]!==$this->password)
			$this->errorCode=self::ERROR_PASSWORD_INVALID;
		else
			$this->errorCode=self::ERROR_NONE;
		return !$this->errorCode;
	}
}
*/


class UserIdentity extends CUserIdentity
{
  private $_id;
  private $_role;
  public function authenticate()
  {
    $record=Users::model()->findByAttributes(array('email'=>$this->username));  // here I use Email as user name which comes from database
    if($record===null)
    {
      $record=Users::model()->findByAttributes(array('user_name'=>$this->username));    
    } 
    
    if(($record===null) || ($record->active == 0))
      {
        $this->_id='user Null';
        $this->errorCode=self::ERROR_USERNAME_INVALID;
      }
    else if($record->password!=hash('sha256', $this->password))            // here I compare db password with passwod field
      {        
        $this->_id=$this->username;
        $this->errorCode=self::ERROR_PASSWORD_INVALID;
      }
/*
     else if($record['E_STATUS']!=='Active')                //  here I check status as Active in db
      {        
        $err = "You have been Inactive by Admin.";
        $this->errorCode = $err;
      }
*/    
    else
      {  
        $this->_id = $record['ID'];
        $priviledge =  Rights::model()->findByPk($record->rights_ID);
        $this->_role =  $priviledge->right_name;
        $this->setState('title', $record['user_name']);
        $this->setState('userRightsName', $priviledge->right_name );
        $this->setState('userRightsId', $priviledge->ID );
        $this->errorCode=self::ERROR_NONE;    
      }
    return !$this->errorCode;
  }

  public function getId()       //  override Id
  {
    return $this->_id;
  }

} 
