<?php

class SiteController extends Controller {

    /**
     * Declares class-based actions.
     */
    public function actions() {
        return array(
            // captcha action renders the CAPTCHA image displayed on the contact page
            'captcha' => array(
                'class' => 'CCaptchaAction',
                'backColor' => 0xFFFFFF,
            ),
            // page action renders "static" pages stored under 'protected/views/site/pages'
            // They can be accessed via: index.php?r=site/page&view=FileName
            'page' => array(
                'class' => 'CViewAction',
            ),
        );
    }

    /**
     * @return array action filters
     */
    /*
      public function filters()
      {
      return array(
      'accessControl', // perform access control for CRUD operations
      );
      }
     */
    /**
     * Specifies the access control rules.
     * This method is used by the 'accessControl' filter.
     * @return array access control rules
     */
    /*
      public function accessRules()
      {
      return array(
      array('allow',  // allow all users to perform 'index' and 'view' actions
      'actions'=>array('register', 'login', 'index', 'logout'),
      'users'=>array('*'),
      ),
      array('allow', // allow authenticated user to perform 'create' and 'update' actions
      'actions'=>array(''),
      'users'=>array('@'),
      ),
      array('allow', // allow admin user to perform 'admin' and 'delete' actions
      'actions'=>array('index', 'error', 'contact', 'login', 'logout'),
      //'users'=>array('admin'),
      'expression' => array('SiteController','allowOnlyOwner')
      ),
      array('deny',  // deny all users
      'users'=>array('*'),
      ),
      );
      }
     */

    /**
     * Allow only the owner to do the action
     * @return boolean whether or not the user is the owner
     */
    /*
      public function allowOnlyOwner(){
      if(isset(Yii::app()->user->userRightsId)){
      if(Yii::app()->user->userRightsId == '4'){
      return true;
      }
      }
      else {
      return false;
      }
      }
     */

    /**
     * This is the default 'index' action that is invoked
     * when an action is not explicitly requested by users.
     */
    /* public function actionIndex()
      {
      // renders the view file 'protected/views/site/index.php'
      // using the default layout 'protected/views/layouts/main.php'
      $this->render('index');
      } */

    public function actionIndex() {
        if (Yii::app()->user->isGuest) {
            $model = new LoginForm;

            if (isset($_POST['ajax']) && $_POST['ajax'] === 'login-form') {
                echo CActiveForm::validate($model);
                Yii::app()->end();
            }

            if (isset($_POST['LoginForm'])) {
                $model->attributes = $_POST['LoginForm'];

                // validate user input and redirect to the previous page if valid
                if ($model->validate() && $model->login()) {
                    if (Yii::app()->user->userRightsId == '3') {   //trener
                        $this->redirect(array('trainer/index'));
                    } elseif (Yii::app()->user->userRightsId == '2') {   //rodic
                        $this->redirect(array('sprava/index'));
                    } elseif (Yii::app()->user->userRightsId == '1') {
                        $this->redirect(array('manager/index'));
                    } else {
                        $this->redirect(array('index'));
                    }
                }
            }
            $this->render('login', array('model' => $model));
        } else {
            if (Yii::app()->user->userRightsId == '3') {   //trener
                $this->redirect(array('trainer/index'));
            } elseif (Yii::app()->user->userRightsId == '2') {   //rodic
                $this->redirect(array('sprava/index'));
            } elseif (Yii::app()->user->userRightsId == '1') {
                $this->redirect(array('manager/index'));
            } else {
                $this->render('index');
            }
        }
    }

    /**
     * This is the action to handle external exceptions.
     */
    public function actionError() {
        if ($error = Yii::app()->errorHandler->error) {
            if (Yii::app()->request->isAjaxRequest)
                echo $error['message'];
            else
                $this->render('error', $error);
        }
    }

    /**
     * Displays the contact page
     */
    public function actionContact() {
        $model = new ContactForm;
        if (isset($_POST['ContactForm'])) {
            $model->attributes = $_POST['ContactForm'];
            if ($model->validate()) {
                $name = '=?UTF-8?B?' . base64_encode($model->name) . '?=';
                $subject = '=?UTF-8?B?' . base64_encode($model->subject) . '?=';
                $headers = "From: $name <{$model->email}>\r\n" .
                        "Reply-To: {$model->email}\r\n" .
                        "MIME-Version: 1.0\r\n" .
                        "Content-Type: text/plain; charset=UTF-8";

                mail(Yii::app()->params['adminEmail'], $subject, $model->body, $headers);
                Yii::app()->user->setFlash('contact', 'Thank you for contacting us. We will respond to you as soon as possible.');
                $this->refresh();
            }
        }
        $this->render('contact', array('model' => $model));
    }

    /**
     * Displays the login page
     */
    /*
      public function actionLogin()
      {
      $model=new LoginForm;

      // if it is ajax validation request
      if(isset($_POST['ajax']) && $_POST['ajax']==='login-form')
      {
      echo CActiveForm::validate($model);
      Yii::app()->end();
      }

      // collect user input data
      if(isset($_POST['LoginForm']))
      {
      $model->attributes=$_POST['LoginForm'];
      // validate user input and redirect to the previous page if valid
      if($model->validate() && $model->login())
      $this->redirect(Yii::app()->user->returnUrl);
      }
      // display the login form
      $this->render('login',array('model'=>$model));
      }
     */

    public function actionLogin() {
        $model = new LoginForm;

        if (isset($_POST['ajax']) && $_POST['ajax'] === 'login-form') {
            echo CActiveForm::validate($model);
            Yii::app()->end();
        }

        if (isset($_POST['LoginForm'])) {
            $model->attributes = $_POST['LoginForm'];

            // validate user input and redirect to the previous page if valid
            if ($model->validate() && $model->login()) {
                if (Yii::app()->user->userRightsId == 2) {
                    $this->redirect(array('sprava/index'));
                } else {
                    $this->redirect(array('index'));
                }
            }
        }
        $this->render('login', array('model' => $model));
    }

    /**
     * Logs out the current user and redirect to homepage.
     */
    public function actionLogout() {
        $user = Yii::app()->user->userRightsId;
        Yii::app()->user->logout();
        if ($user == 2)
            $this->redirect(array('sprava/index'));
        else
            $this->redirect(Yii::app()->homeUrl);
    }

    public function actionRegister() {
        session_start();
        $this->layout = '//layouts/register-now';

        $umodel = new Users('register');
        $triedy = Classes::model()->findAll();

        $vsetci = Users::model()->findAll();
        $arr = array();
        $i = 0;
        foreach ($vsetci as $v) {
            $arr[$i]['mail'] = md5(strtolower($v->email));
            $arr[$i]['phone_num'] = md5($v->phone_num);
            $i++;
        }
        
          $vsetky_roz = Timetable::model()->with('trainer0')->findAll();
          $vsetky_prih = Enlist::model()->findAll();
//        $vsetky_roz = Newtimetable::model()->with('trainer0')->findAll();
//        $vsetky_prih = Newenlist::model()->findAll();

        if (isset($_POST['deleteData'])) {
            session_unset();
            session_destroy();
        }

        $expireAfter = 3;  //3 minuty timeout pri odoslani formu na spracovanie

        if ((isset($_POST['pocet_deti'])) || (isset($_SESSION['nkids']))) {
            if (isset($_SESSION['last_action'])) {
                $secondsInactive = time() - $_SESSION['last_action'];
                $expireAfterSeconds = $expireAfter * 60;
                if ($secondsInactive >= $expireAfterSeconds) {
                    session_unset();
                    session_destroy();
                    $this->redirect(array('site/register', 'saved' => 'fail'));
                }
            }
            $_SESSION['last_action'] = time();
        }

        if ((isset($_POST['state'])) && ($_POST['state'] == 'process_me')) {
            //$_SESSION['kids'.$_SESSION['inserted']] = $_POST['Kids']; 
            $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
            //mail('pales.michael@gmail.com', 'print_r', print_r($_SESSION, true));
            //spracovanie udajov

            $msg = '<html><head></head><body>';
            $msg .= 'Ďakujeme za prejavený záujem o skúšobnú hodinu v BigHugGym.<br /><br />';


            if (isset($_SESSION['parent'])) {
                $umodel->attributes = $_SESSION['parent'];
                $umodel->rights_ID = '2';  //rodic

                $md5Hash = md5(microtime());
                $mt = substr($md5Hash, 0, 8);

                $umodel->secure_hash = $mt;
                $umodel->password = $mt;
                $umodel->user_name = substr($md5Hash, 0, 32);
                $umodel->email = strtolower($_SESSION['parent']['email']);
                if ($umodel->validate()) {
                    if ($umodel->save()) {
                        $umodel->user_name = $umodel->name . '_' . $umodel->surname . '_' . $umodel->ID;
                        $umodel->save();
                        $user_s = true;
                    }
                }
            }

            $notice = '<html><head></head><body>';
            $notice .= 'Užívateľ:<br />' . $umodel->name . ' ' . $umodel->surname . ' <br /><br />';


            if ($user_s) {
                for ($i = 0; $i < $_SESSION['nkids']; $i++) {
                    //ukladanie deti, zapisov a cakacky
                    $kid = $_SESSION['kids' . $i];
                    $kmod = new Kids('register');
                    $kmod->parrent_ID = $umodel->ID;
                    $kmod->name = $kid['name'];
                    $kmod->surname = $kid['surname'];
                    $kmod->birthday = $kid['dob'] . '.' . $kid['mob'] . '.' . $kid['yob'];
                    $kmod->notes = $kid['notes'];
                    $kmod->tryout = 0;
                    $kmod->frequency = $kid['frequency'];
                    //$kmod->lesson = $kid['lesson'];
                    if (isset($kid['enlist'])) {
                        $roz = Timetable::model()->findByPk($kid['enlist']['0']);
                        $kmod->lesson = $roz->lesson;
                    } elseif (isset($kid['query'])) {
                        $roz = Timetable::model()->findByPk($kid['query']['0']);
                        $kmod->lesson = $roz->lesson;
                    }

                    $kmod->label = $kid['name'] . '_' . $kid['surname'] . '_';
                    if ($kmod->validate()) {
                        if ($kmod->save()) {
                            $kmod->label = $kmod->label . $kmod->ID;
                            $kmod->save();
                            //save terms
                            if (isset($_POST['SRO_share_media_' . $i])) {
                                $terms = new Terms('register');
                                $terms->kid_ID = $kmod->ID;
                                $terms->agreement_type = "SRO_share_media";
                                $terms->agreement_value = $_POST['SRO_share_media_' . $i];
                                $terms->parent_ID = $umodel->ID;
                                $terms->save();
                            }
                            if (isset($_POST['SRO_newsletter_' . $i])) {
                                $terms = new Terms('register');
                                $terms->kid_ID = $kmod->ID;
                                $terms->agreement_type = "SRO_newsletter";
                                $terms->agreement_value = $_POST['SRO_newsletter_' . $i];
                                $terms->parent_ID = $umodel->ID;
                                $terms->save();
                            }
                            if (isset($_POST['SRO_personal_data_' . $i])) {
                                $terms = new Terms('register');
                                $terms->kid_ID = $kmod->ID;
                                $terms->agreement_type = "SRO_personal_data";
                                $terms->agreement_value = $_POST['SRO_personal_data_' . $i];
                                $terms->parent_ID = $umodel->ID; 
                                $terms->save();
                            }
                            if (isset($_POST['OZ_phone_usage_' . $i])) {
                                $terms = new Terms('register');
                                $terms->kid_ID = $kmod->ID;
                                $terms->agreement_type = "OZ_phone_usage";
                                $terms->agreement_value = $_POST['OZ_phone_usage_' . $i];
                                $terms->parent_ID = $umodel->ID;
                                $terms->save();
                            }
                            
                            $kids_s[] = true;
                        } else {
                            $kids_s[] = false;
                        }
                    }


                    $minday = 8;
                    if (isset($kid['enlist'])) {
                        foreach ($kid['enlist'] as $enl) {
                            $emod = new Enlist('register');
//                            $emod = new Newenlist('register');
                            $emod->ID_kid = $kmod->ID;
                            $emod->ID_timet = $enl;
                            if ($emod->validate()) {
                                if ($emod->save()) {
                                    $enl_s[] = true;
                                } else {
                                    $enl_s[] = false;
                                }
                            }
                            $timetable = Timetable::model()->findByPk($emod->ID_timet);
//                            $timetable = Newtimetable::model()->findByPk($emod->ID_timet);
                            if ($timetable->week_day <= $minday) {
                                $ttid = $timetable->ID;
                                $minday = $timetable->week_day;
                            }
                        }


                        $timetable = Timetable::model()->findByPk($ttid);
//                        $timetable = Newtimetable::model()->findByPk($ttid);

                        //all semesters/all days 
                        $semesters = Semesters::model()->findAll();
                        $sem_array = array();

                        foreach ($semesters as $sem) {
                            $date_ = $sem->date_start;
                            if (isset($sem->date_end)) {
                                $end_date_ = $sem->date_end;
                            } else {
                                $end_date_ = $sem->date_start;
                            }
                            while (strtotime($date_) <= strtotime($end_date_)) {
                                $sem_array[] = $date_;
                                $date_ = date("Y-m-d", strtotime("+1 day", strtotime($date_)));
                            }
                        }

                        $holiday = Holiday::model()->findAll();
                        $hol_array = array();

                        foreach ($holiday as $hd) {
                            $date_ = $hd->date_start;
                            if (isset($hd->date_end)) {
                                $end_date_ = $hd->date_end;
                            } else {
                                $end_date_ = $hd->date_start;
                            }
                            while (strtotime($date_) <= strtotime($end_date_)) {
                                $hol_array[] = $date_;
                                $date_ = date("Y-m-d", strtotime("+1 day", strtotime($date_)));
                            }
                        }

                        $hmodel = new Hours;
                        //datum v semestri aspon 7 dni od dnesneho
                        $f = 0;
                        $dt = date('Y-m-d', strtotime("+7 day", strtotime(date('Y-m-d'))));
                        $edt = date('Y-m-d', strtotime("+107 day", strtotime(date('Y-m-d'))));
                        while (strtotime($dt) <= strtotime($edt)) {
                            if ((!(in_array($dt, $hol_array))) && (in_array($dt, $sem_array) )) {
                                if (date('N', strtotime($dt)) == $timetable->week_day) {
                                    $hmodel->date = $dt;
                                    $dt = date('Y-m-d', strtotime("+107 day", strtotime(date('Y-m-d'))));
                                }
                            }
                            $dt = date("Y-m-d", strtotime("+1 day", strtotime($dt)));
                        }

                        
                        $lesson_name = Classes::model()->findByAttributes(array('ID'=>$timetable->lesson));
                        //skorsi tt
                        $hmodel->ID_timet = $timetable->ID;
                        $hmodel->week_day = $timetable->week_day;
                        $hmodel->time_start = $timetable->time_start;
                        $hmodel->time_end = $timetable->time_end;
                        $hmodel->lesson = $lesson_name->name;
                        $hmodel->trainer = $timetable->trainer;
                        $hmodel->trainer_alt = $timetable->trainer_alt;
                        $hmodel->ID_kids = $kmod->ID;
                        $hmodel->name = $kmod->name;
                        $hmodel->surname = $kmod->surname;
                        $hmodel->present = 0;
                        $hmodel->tryout = 1;
                        $hmodel->notes = NULL;
                        $hmodel->save();

                        $hmdate = explode('-', $hmodel->date);

                        $msg .= 'Vaše dieťa <br /> <strong>' . $kmod->name . ' ' . $kmod->surname . '</strong> <br /><br /> očakávame dňa <strong>' . $hmdate[2] . '.' . $hmdate[1] . '.' . $hmdate[0] . '</strong> (' . $dni[$timetable->week_day - 1] . ') o ' . substr($timetable->time_start, 0, -3) . ' na kurze "<span style="text-transform: uppercase">' . $lesson_name->name . '</span>".<br />';
                        $notice .= 'Dieťa <br /> <strong>' . $kmod->name . ' ' . $kmod->surname . '</strong> <br /><br /> dňa ' . $hmdate[2] . '.' . $hmdate[1] . '.' . $hmdate[0] . '</strong> (' . $dni[$timetable->week_day - 1] . ') o ' . substr($timetable->time_start, 0, -3) . ' na kurze "<span style="text-transform: uppercase">' . $lesson_name->name . '</span>".<br /><br />';
                    }
                    //!HOURS implementation

                    if (isset($kid['query'])) {
                        foreach ($kid['query'] as $qr) {
                            $qmod = new Query('register');
                            $qmod->kid_ID = $kmod->ID;
                            $qmod->timet_ID = $qr;
                            if ($qmod->validate()) {
                                $qmod->save();

                                $tQ = Timetable::model()->findByPk($qr);
//                                $tQ = Newtimetable::model()->findByPk($qr);
                                $Q_lesson_name = Classes::model()->findByAttributes(array('ID'=>$tQ->lesson));
                                $msg .= 'Vaše dieťa, <br />' . $kmod->name . ' ' . $kmod->surname . '<br />';
                                $notice .= 'Dieťa, <br />' . $kmod->name . ' ' . $kmod->surname . ' sa prihlásilo na čakaciu listinu v ' . $dni[$tQ->week_day - 1] . ' o ' . substr($tQ->time_start, 0, -3) . ' na kurze ' . $Q_lesson_name->name . '.<br /><br />';
                                $msg .= 'Zároveň sme zapísali Vaše dieťa na čakaciu listinu( ' . $dni[$tQ->week_day - 1] . ' o ' . substr($tQ->time_start, 0, -3) . ' na kurze ' . $Q_lesson_name->name . ' ) V prípade, že sa uvoľní miesto, budeme Vás infomovať o možnosti zapísať sa na zvolenú hodinu prioritne, pred otvorením prihlasovania sa na danú hodinu širokej verejnosti.<br />';
                            }
                        }
                    }
                    $msg .= '<br />';
                }
            }


            session_unset();
            session_destroy();

            $headers = 'MIME-Version: 1.0' . "\r\n";
            $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
            $headers .= 'From: ' . Yii::app()->params['adminEmail'] . "\r\n";
            $headers .= 'Reply-To: ' . Yii::app()->params['adminEmail'] . "\r\n";

            $rcpt = $umodel->email;
            $subj = 'BigHugGym Šamorín';

            $msg .= 'Oblečte vaše deti do pohodlného voľného oblečenia (krátke nohavice / tepláky, tričko, ponožky). Cvičenie skupín Žabky a Hrošíkovia je za asistencie rodičov (je vhodné športovejšie oblečenie). V telocvični je pre deti zdarma dostupná voda.<br /> Po skúšobnej hodine vás prosíme vyjadriť sa trénerovi či máte záujem pokračovať v cvičení.<br /><br />
            V prípade nejasností nás neváhajte kontaktovať emailom, alebo telefonicky.<br /><br />';
            $msg .= 'Tešíme sa na Vás! <br /><br />S pozdravom <br />Váš tím BigHugGym';
            //$msg .= 'Vaša skúsobná hodina sa uskutočňí dňa '.$hmodel->date.'';
            $msg .= '</body></html>';

            if (mail($rcpt, $subj, $msg, $headers)) {
                mail('kontrola.samorin@bighuggym.sk','ZALOHA: '.$subj, $msg, $headers);
                mail(Yii::app()->params['adminEmail'], 'Nová registrácia', $notice, $headers);
                //mail('jan@ptacin.com', 'Nová registrácia', $notice, $headers);
                $this->redirect(array('site/register', 'mailsent' => 'success',));
            }
        }
        $allow = Settings::model()->findByAttributes(array(
            'type' => 'register_allowed',
        ));
        if ($allow->data == 'yes') {
            $this->render('register', array('model' => $umodel, 'rozvrhy' => $vsetky_roz, 'prihlasenia' => $vsetky_prih, 'taken' => $arr, 'triedy' => $triedy));
        } elseif ($allow->data == 'no') {
            $this->render('register_disabled', array('model' => $umodel, 'rozvrhy' => $vsetky_roz, 'prihlasenia' => $vsetky_prih, 'taken' => $arr, 'triedy' => $triedy));
    }
    }

    public function actionNewTri() {
        $this->render('newTri');
    }

    public function actionZobrazZaujemcov($what, $data) { //napr "pokracovanie, 0"
        if ($what == 'pokracovanie') {
            $curr = Metadata::model()->findAllByAttributes(array(
                'refTO' => 'dieta',
                'dataNAME' => $what,
                'data' => $data,
            ));
            $res = array();

            foreach ($curr as $single) {
                $res[] = Kids::model()->with('parrent','newenlists')->findByPk($single->refID);
            }

            if ($data == '0') {
                $nadpis = 'Užívatelia/deti ktorí si neželajú pokračovať v kurzoch';
            } elseif ($data == '1') {
                $nadpis = 'Užívatelia/deti ktorí si želajú zmenu v rozvrhoch';
            }
            $this->render('zobrazZaujemcov', array('res' => $res, 'nadpis' => $nadpis));
        }
        /**
         * This is the model class for table "metadata".
         *
         * The followings are the available columns in table 'metadata':
         * @property integer $ID
         * @property string $refTO
         * @property integer $refID
         * @property string $dataNAME
         * @property string $data
         */
        if ($what == 'hlasoval') {
            $nadpis = 'Užívatelia ktorí ešte nehlasovali';
            $users = Users::model()->findAllByAttributes(array(
                'active' => '1',
                'rights_ID' => '2'
            ));
            $voted = Metadata::model()->findAllByAttributes(array(
                'refTO' => 'rodic',
                'dataNAME' => 'hlasoval',
            ));

            $ids = array();

            foreach ($voted as $solo) {
                $ids[] = $solo->refID;
            }

            $pids = array();

            foreach ($users as $single) {
                $pids[] = $single->ID;
            }

            $arr = array_diff($pids, $ids);

            $res = array();

            function hasNewenlist($pid) {
                $user = Users::model()->with('kids')->findByPk($pid);
                $hasNewe = false;
                foreach ($user->kids as $val) {
                    $NE = Newenlist::model()->findAllByattributes(array(
                        'ID_kid' => $val->ID,
                    ));
                    if (isset($NE[0]->ID)) {
                        $hasNewe = True;
                    }
                }
                return $hasNewe;
            }

            foreach ($arr as $one) {
                $res[] = Users::model()->findByPk($one);
                $has[$one] = hasNewenlist($one);
            }

            $this->render('zobrazZaujemcov', array('res' => $res, 'nadpis' => $nadpis, 'has' => $has, 'type' => 'nehlasoval'));
        }
    }

    public function actionLostPassword() {
        if (isset($_POST['mail']) && isset($_POST['number'])) {
            $user = Users::model()->findByAttributes(array('email' => $_POST['mail'], 'active' => '1'));

            if (isset($user->surname) && ($user->surname != '')) {
                $confirm = str_replace(' ', '', trim($_POST['number']));
                $confirm = substr($confirm, -9);

                $phonenum = str_replace(' ', '', trim($user->phone_num));
                $phonenum = substr($phonenum, -9);
                if ($confirm == $phonenum) {
                    //set alert mail sent
                    $new_pass = md5(microtime());
                    $new_pass = substr($new_pass, -8);

                    $user->password = hash('sha256', $new_pass);
                    $user->save();

                    $headers = 'From: ' . Yii::app()->params['adminEmail'] . "\r\n";
                    $headers .= 'Reply-To: ' . Yii::app()->params['adminEmail'] . "\r\n";

                    $body = "Dobrý deň."
                            . "\r\nBolo Vám vygenerované nové heslo do systému BigHugGym: " . $new_pass
                            . "\r\nPo prihlásení odporúčame heslo zmeniť vo Vašich nastaveniach.\r\n"
                            . "\r\nAk ste si tento email nevyžiadali kontaktujte nás prosím.\r\n"
                            . "S pozdravom Váš tím BigHugGym";
                    mail($user->email, "Zmena hesla", $body, $headers);
                    mail('kontrola.samorin@bighuggym.sk','ZALOHA: Zmena hesla', "Heslo pre $user->email bolo uspesne zmenene.", $headers);
                    Yii::app()->user->setFlash('success', "Heslo bolo zmenené, nové údaje sme Vám zaslali na e-mail.");
                    //zaslat mail                   
                    $this->redirect(array('site/login'));
                } else {
                    //set alert wrong credentials
                    Yii::app()->user->setFlash('error', "Prepáčte, Vami zadané údaje sa nezhodujú s informáciami v našom systéme<br /> Skontrolujte prosím správnosť Vášho emailu a telefónneho čísla. Mali by sa zhodovať s údajmi, ktoré ste zadali pri Vašej registrácii.<br /> V prípade potreby sa nám neváhajte ozvať e-mailom alebo telefonicky, prihlasovacie údaje Vám v prípade potreby zresetujeme. Váš tím BigHugGym");
                }
            } else {
                Yii::app()->user->setFlash('error', "Zadali ste zlé údaje.<br />  V prípade potreby sa nám ozvite e-mailom alebo telefonicky.");
                //set alert wrong credentials
            }
        }
        $this->render('lostPassword');
    }

    public function actionNovyTrim($id) {
        //$this->layout = '//layouts/manazment';
        //$curU = Users::model()->findByPk(Yii::app()->user->getId());
        $kid = Kids::model()->findByAttributes(array(
            'ID' => $id,
                //    'parrent_ID' => $curU->ID,
        ));


        $val = Metadata::model()->findByAttributes(array(
            'refTO' => 'dieta',
            'refID' => $id,
            'dataNAME' => 'hlasovanie',
        ));

        if (count($val) != 0) {
            $val = $val->data;
        } else {
            $val = 0;
        }

        $this->render('novyTrim', array('id' => $id, 'dieta' => $kid, 'already' => $val));
    }

    public function actionPokracovanie($id) {

        $dieta = Kids::model()->findBypk($id);
        /*
          $curU = Users::model()->findByPk(Yii::app()->user->getId());
          $dieta = Kids::model()->findByAttributes(array(
          'ID' => $id,
          'parrent_ID' => $curU->ID,
          ));
         */
        $enlist = Enlist::model()->with('iDTimet')->findAllByAttributes(array(
            'ID_kid' => $id
        ));
        if (isset($_POST['skopiruj'])) {
            foreach ($enlist as $single) {
                $nenl = new Newenlist();
                $nenl->setAttributes($single->getAttributes(), false);
                $nenl->save();
            }

            $zapis = new Metadata('hlasovanie');
            $zapis->refID = $id;
            $zapis->refTO = 'dieta';
            $zapis->dataNAME = 'hlasovanie';
            $zapis->data = '1'; //bolo zahlasovane;
            $zapis->save();

            $thiskid = Kids::model()->findByPk($id);

            $zapis1 = new Metadata('hlasovanie_r');
            $zapis1->refID = $thiskid->parrent_ID;
            $zapis1->refTO = 'rodic';
            $zapis1->dataNAME = 'hlasoval';
            $zapis1->data = '1'; //bolo zahlasovane;
            $zapis1->save();

            $this->redirect(array('site/showKids', 'id' => $thiskid->parrent_ID)); // presmerovanie na deti
        }
        $this->render('pokracovanie', array('id' => $id, 'enl' => $enlist, 'dieta' => $dieta));
    }

    public function actionNovyQuery($id) {
        //kid_id
        //zapis do query podla rozvrhu.

        $dieta = Kids::model()->findByAttributes(array(
            'ID' => $id,
                //'parrent_ID' => $curU->ID,
        ));

        if (isset($_POST['zmenit'])) {
            $zapis = new Metadata('zmenit');
            $zapis->refID = $id;
            $zapis->refTO = 'dieta';
            $zapis->dataNAME = 'pokracovanie';
            $zapis->data = '1'; //nechce pokracovat;
            $zapis->save();
            //print_r($zapis->validate());

            $zapis0 = new Metadata('hlasovanie');
            $zapis0->refID = $id;
            $zapis0->refTO = 'dieta';
            $zapis0->dataNAME = 'hlasovanie';
            $zapis0->data = '1'; //bolo zahlasovane;
            $zapis0->save();

            $thiskid = Kids::model()->findByPk($id);

            $zapis1 = new Metadata('hlasovanie_r');
            $zapis1->refID = $thiskid->parrent_ID;
            $zapis1->refTO = 'rodic';
            $zapis1->dataNAME = 'hlasoval';
            $zapis1->data = '1'; //bolo zahlasovane;
            $zapis1->save();

            //print_r($zapis0->validate());
            $this->redirect(array('site/showKids', 'id' => $thiskid->parrent_ID));
        }
        $this->render('novyQuery', array('id' => $id, 'dieta' => $dieta));
    }

    public function actionNepokracovanie($id) {
        //nezela si pokracovat? co tu? deaktivacia dietata, rodica?
        /**
         * This is the model class for table "metadata".
         *
         * The followings are the available columns in table 'metadata':
         * @property integer $ID
         * @property string $refTO
         * @property integer $refID
         * @property integer $dataNAME
         * @property string $data
         */
        $dieta = Kids::model()->findByAttributes(array(
            'ID' => $id,
        ));
        if (isset($_POST['skoncit'])) {
            $zapis = new Metadata('skoncit');
            $zapis->refID = $id;
            $zapis->refTO = 'dieta';
            $zapis->dataNAME = 'pokracovanie';
            $zapis->data = '0'; //nechce pokracovat;
            $zapis->save();

            $zapis0 = new Metadata('hlasovanie');
            $zapis0->refID = $id;
            $zapis0->refTO = 'dieta';
            $zapis0->dataNAME = 'hlasovanie';
            $zapis0->data = '1'; //bolo zahlasovane;
            $zapis0->save();

            $thiskid = Kids::model()->findByPk($id);

            $zapis1 = new Metadata('hlasovanie_r');
            $zapis1->refID = $thiskid->parrent_ID;
            $zapis1->refTO = 'rodic';
            $zapis1->dataNAME = 'hlasoval';
            $zapis1->data = '1'; //bolo zahlasovane;
            $zapis1->save();

            $this->redirect(array('site/showKids', 'id' => $thiskid->parrent_ID));
        }
        //@print_r($_POST);
        $this->render('nepokracovanie', array('id' => $id, 'dieta' => $dieta));
    }

    public function validateDate($date, $format = 'd.m.Y') {
        $d = DateTime::createFromFormat($format, $date);
        return $d && $d->format($format) == $date;
    }

    public function actionShowKids($id) {
        $kids = Kids::model()->findAllByAttributes(array('parrent_ID' => $id));
        $this->render('showKids', array('kids' => $kids));
    }

}

//notes: secure newtrim!
