<?php
/* @var $this HoursController */
/* @var $model Hours */

$this->breadcrumbs=array(
	'Hours'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Hours', 'url'=>array('index')),
	array('label'=>'Create Hours', 'url'=>array('create')),
  array('label'=>'Show Week', 'url'=>array('showWeekHours')),
  array('label'=>'Generate Hours', 'url'=>array('generate')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#hours-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Hours</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'hours-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'date',
		//'ID_timet',
		'week_day',
		'time_start',
		'time_end',
		'lesson',
		'trainer',
		//'trainer_alt',
		'ID_kids',
		'name',
		'surname',
		'present',
		'tryout',
		//'notes',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
