<?php
/* @var $this KidsController */
/* @var $model Kids */

$this->breadcrumbs = array(
    'Kids' => array('index'),
    'Manage',
);

$this->menu = array(
    array('label' => 'List Kids', 'url' => array('index')),
    array('label' => 'Create Kids', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#kids-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Kids</h1>

<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'kids-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'parrent_ID',
        'name',
        'surname',
        'birthday',
        'active',
        array(
            'name' => 'Profil',
            'value' => function($data) {
                echo CHtml::link("Profil", array('kids/viewprofile', 'id' => $data->ID), array('target'=>'_blank'));
            },
                    'filter' => false,
                    'sortable' => false,
        ),
                /*
                  'notes',
                  'tryout',
                  'frequency',
                  'lesson',
                  'refund',
                  'label',
                  'dlgt1',
                  'dlgt2',
                 */
                array(
                    'class' => 'CButtonColumn',
                ),
            ),
        ));
        ?>
