<?php
/* @var $this KidsController */
/* @var $model Kids */

$this->breadcrumbs = array(
    'Kids' => array('index'),
    'Manage',
);

$this->menu = array(
    array('label' => 'Manuálne vytvorenie dieťaťa', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#kids-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Deti</h1>

<?php
foreach (Yii::app()->user->getFlashes() as $key => $message) {
    echo '<div class="flash-' . $key . '">' . $message . "</div>\n";
}
?>

<?php echo CHtml::link('Rozšírené vyhladávanie', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'kids-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'parrent_ID',
        'name',
        'surname',
        'birthday',
        'active',
        array(
            'name' => 'Profil',
            'value' => function($data) {
                echo CHtml::link("Profil", array('kids/viewprofile', 'id' => $data->ID), array('target' => '_blank'));
            },
            'filter' => false,
            'sortable' => false,
        ),
        /*
          'notes',
          'tryout',
          'frequency',
          'lesson',
          'refund',
          'label',
          'dlgt1',
          'dlgt2',
         */
        array(
            'class' => 'CButtonColumn',
            'template' => '{view}{update}{delete}',
            'buttons' => array(
                'delete' => array
                (
                    'visible' => '$data->getHasPaymOrEnl() == false',
                ),
                'view' => array
                (
                    'label'=>'Zobrazí profil dieťaťa',
                    'url'=>'Yii::app()->createUrl("kids/viewprofile", array("id"=>$data->ID))',
                )
            )
        ),
    ),
));
?>
