<?php
/* @var $this NewenlistController */
/* @var $model Newenlist */

$this->breadcrumbs=array(
	'Newenlists'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Newenlist', 'url'=>array('index')),
	array('label'=>'Create Newenlist', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#newenlist-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Newenlists</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'newenlist-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'ID_kid',
                array(
                    'name' => 'Meno dieťaťa',
                    'value' => function ($data){
                    $Kid = Kids::model()->findByPk($data->ID_kid);
                    return $Kid->name;  
                    },
                    'filter' => true,
                    'sortable' => true,
                ), 
                array(
                    'name' => 'Priezvisko dieťaťa',
                    'value' => function ($data){
                    $Kid = Kids::model()->findByPk($data->ID_kid);
                    return $Kid->surname;  
                    },
                    'filter' => true,
                    'sortable' => true,
                ), 
                'ID_timet',
                array(
                  'name'=>'Rozvrh trieda',
                  'value'=> function ($data) {
                    $tt = Newtimetable::model()->findByPk($data->ID_timet);
                    return $tt->lesson;  
                  },
                  'filter' => true,
                  'sortable' => false,
                ),
                array(
                  'name'=>'Rozvrh Deň',
                  'value'=> function ($data) {
                    $tt = Newtimetable::model()->findByPk($data->ID_timet);
                    $week = array('Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa');
                    return $week[$tt->week_day-1];  
                  },
                  'filter' => true,
                  'sortable' => false,
                ),
                array(
                  'name'=>'Rozvrh Čas',
                  'value'=> function ($data) {
                    $tt = Newtimetable::model()->findByPk($data->ID_timet);
                    return substr($tt->time_start,0,-3).'-'.substr($tt->time_end,0,-3);  
                  },
                  'filter' => true,
                  'sortable' => false,
                ),
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
