<?php
/* @var $this PaymentsController */
/* @var $model Payments */

$this->breadcrumbs = array(
    'Payments' => array('index'),
    'Manage',
);

$this->menu = array(
    array('label' => 'List Payments', 'url' => array('index')),
    array('label' => 'Create Payments', 'url' => array('create')),
    //array('label' => 'Generate Payments', 'url' => array('generatePayment')),
    array('label' => 'Generate Payments', 'url' => array('pregeneratePayment')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#payments-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Payments</h1>

<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php

$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'payments-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'ID_kid',
        array(
            'name' => 'kid_name_s',
            'header' => 'Meno dieťaťa',
            'value' => '$data->kid->name'
        ),
        array(
            'name' => 'kid_surname_s',
            'header' => 'Priezvisko dieťaťa',
            'value' => '$data->kid->surname'
        ),             
        /*
        array(
            'name'=>'Rodic',
            'value'=>function($data){
                $kid = Kids::model()->with('parrent')->findByPk($data->ID_kid);
                echo $kid->parrent->surname;
            },
            'filter' => false,
            'sortable' => false,
                    
        ),            
        */
        'date',
        'trimester',
        'n_of_hours',
        'prize_per_h',
        'discount',
        array(
            'name' => "Suma",
            'value' => function($data){
                echo ($data->n_of_hours * $data->prize_per_h) * (100-$data->discount)/100;
            },
            'filter' => false,
            'sortable' => false,
        ),
        array(
            'name' => "Zaplatit",
            'value' => function($data) {
                if ($data->payed == 0){
                    echo CHtml::link('Potvrdiť',array('payments/confirm','id'=>$data->ID));
                } else {
                    echo "Zaplatené";
                }
            },
            'filter' => false,
            'sortable' => false,
        ),
        'payed',
        /*
          'discount',
          'VS',
          'payed',
         */
        array(
            'class' => 'CButtonColumn',
        ),
    ),
));
?>
