<?php
/* @var $this QueryController */
/* @var $model Query */

$this->breadcrumbs = array(
    'Queries' => array('index'),
    'Manage',
);

$this->menu = array(
    array('label' => 'List Query', 'url' => array('index')),
    array('label' => 'Create Query', 'url' => array('create')),
    array('label' => 'ZÁUJEMCOVIA - Tabuľka', 'url' => array('zobrazRozvrh')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#query-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Queries</h1>

<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'query-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'kid_ID',
        array(
            'name' => 'Dieťa',
            'value' => function ($data) {
                $kid = Kids::model()->findByPk($data->kid_ID);
                return $kid->surname . ' ' . $kid->name;
            },
            'filter' => false,
            'sortable' => false,
        ),
        array(
            /*'name' => 'Narodenie',
                    'value' => function ($data) {
                        $kid = Kids::model()->findByPk($data->kid_ID);
                        echo $kid->birthday;    
                    },
                    'filter' => false,
            'sortable' => false,*/
            'name'=> 'birthday',
            'header'=>'Narodenie',
            'value'=>'$data->kid->birthday'
        ),
        'timet_ID',
        array(
            'name' => 'lesson_name',
            'header' => 'Trieda',
            'value' => '$data->timet->lesson'
                ),
        array(
            'name' => 'lesson_day',
            'header' => 'Deň',
            'value' => '$data->timet->week_day'
        ),
        array(
            'name' => 'lesson_hour',
            'header' => 'Hodina',
            'value' => '$data->timet->time_start'
        ),
                'timestamp',
                'priority',
                'notes',
                array(
                    'class' => 'CButtonColumn',
                ),
            ),
        ));
        ?>
