<?php
/* @var $this SemestersController */
/* @var $model Semesters */

$this->breadcrumbs=array(
	'Semesters'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Semesters', 'url'=>array('index')),
	array('label'=>'Create Semesters', 'url'=>array('create')),
  array('label'=>'HOLIDAYS', 'url' => array('/holiday/admin')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#semesters-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Semesters</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'semesters-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'label',
		'date_start',
		'date_end',
		array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
