<?php
/* @var $this TermsController */
/* @var $model Terms */

$this->breadcrumbs=array(
	'Terms'=>array('index'),
	'Manage',
);

$this->menu=array(
	array('label'=>'List Terms', 'url'=>array('index')),
	array('label'=>'Create Terms', 'url'=>array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#terms-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Terms</h1>

<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search','#',array('class'=>'search-button')); ?>
<div class="search-form" style="display:none">
<?php $this->renderPartial('_search',array(
	'model'=>$model,
)); ?>
</div><!-- search-form -->

<?php $this->widget('zii.widgets.grid.CGridView', array(
	'id'=>'terms-grid',
	'dataProvider'=>$model->search(),
	'filter'=>$model,
	'columns'=>array(
		'ID',
		'timestamp',
		'parent_ID',
		'kid_ID',
		'agreement_type',
		'agreement_value',
		array(
                    'name' => 'parent_name',
                    'header' => 'Meno Rodiča',
                    'value' => '$data->p_ID->name'
                ),  
                array(
                    'name' => 'parent_surname',
                    'header' => 'Priezvisko Rodiča',
                    'value' => '$data->p_ID->surname'
                ),  
                array(
                    'name' => 'kid_name',
                    'header' => 'Meno Dieťaťa',
                    'value' => '$data->k_ID->name'
                ),  
                array(
                    'name' => 'kid_surname',
                    'header' => 'Priezvisko Dieťaťa',
                    'value' => '$data->k_ID->surname'
                ),  
                array(
			'class'=>'CButtonColumn',
		),
	),
)); ?>
