<?php
/* @var $this UsersController */
/* @var $model Users */

$this->breadcrumbs = array(
    'Users' => array('index'),
    'Manage',
);

$this->menu = array(
    array('label' => 'List Users', 'url' => array('index')),
    array('label' => 'Create Users', 'url' => array('create')),
    array('label' => 'Generate mass e-mail', 'url' => array('massmail')),
    array('label' => 'Generate deactivation', 'url' => array('deactivateusers')),
    array('label' => 'Privacy & Terms', 'url' => array('/terms/admin')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#users-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Manage Users</h1>

<p>
    You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
    or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'users-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'name',
        'surname',
        //'user_name',
        //'password',
        'rights_ID',
        'phone_num',
        'email',
        'active',
        array(
            'name' => "Odoslať LogIn",
            'value' => function($data) {
                echo CHtml::link('Potvrď prístup', array('users/confirmation', 'id' => $data->ID));
            },
            'filter' => false,
            'sortable' => false,
        ),
        'passsent',
//        array(
//            'name' => "Profil",
//            'value' => function($data) {
//                if ($data->rights_ID == 2) {
//                    echo CHtml::link('Profil', array('users/viewprofile', 'id' => $data->ID));
//                }
//            },
//            'filter' => false,
//            'sortable' => false,
//        ),
        /*
          'phone_num',
          'address',
          'email',
          'notes',
          'VS',
          'secure_hash',
         */
        array(
            'class' => 'CButtonColumn',
            'template' => '{view}{update}{delete}',
            'buttons' => array(
                'view' => array
                (
                    'label' => 'Zobrazí profil rodiča',
                    'url' => 'Yii::app()->createUrl("users/viewprofile", array("id"=>$data->ID))',
                    'visible' => '$data->rights_ID == 2',
                )
            )
        ),
    ),
));
?>
