<?php
/* @var $rozvrhy Timetable */
/* @var $prihlasenia Enlist */
$this->menu = array(
    array('label' => 'Manuálne vytvorenie zápisu', 'url' => array('/enlist/create')),
    array('label' => 'Editovanie zápisov', 'url' => array('/enlist/admin')),
    array('label' => 'Čakacia listina', 'url' => array('/query/zobrazRozvrh')),
);
?>

<style type="text/css">

    table, th, td {
        border: 1px solid gray;
    }
</style>

<h1>Rozvrh hodín a Zápisy detí na kurzy</h1>
<p>V nasledujúcej tabuľke môžete upravovať jednotlivé hodiny v rozvhu a pridávať prihlásenia detí na dané hodiny.</p>

<div class='timetables'>
    <?php
    //print_r($rozvrhy);     
    //print_r($prihlasenia);

    $dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa'];
    $hodiny = Yii::app()->helper->getHours();
    
    function numberOfEnl($id_tt, $id_gym) {
        //print_r($data);
        $count = Enlist::model()->countByAttributes(array(
            'ID_timet' => $id_tt
        ));
        $from = Gyms::model()->findByPK($id_gym);

        return $count . '/' . $from->capacity;
    }
    ?>
    <table>
        <tr>
            <th></th>
            <?php
            foreach ($dni as $day) {
                echo '<th>' . $day . '</th>';
            }
            ?>
        </tr>

        <?php
        foreach ($hodiny as $hour) {
            echo '<tr>';
            echo '<td>' . $hour . '</td>';
            for ($i = 1; $i < 8; $i++) {
                $toprint = "";
                foreach ($rozvrhy as $single) {
                    if (($single->time_start == $hour) && ($single->week_day == $i)) {

                        if ($single->trainer_alt != NULL) {
                            $t2 = Users::model()->findByPk($single->trainer_alt);
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname . ', ' . $t2->name . ' ' . $t2->surname;
                        } else {
                            $trainer_str = $single->trainer0->name . ' ' . $single->trainer0->surname;
                        }

                        $toprint .= CHtml::link('<span style="text-transform: uppercase;"><strong>' . $mask[$single->lesson] . '</strong></span>', array('timetable/update', 'id' => $single->ID)) .'<br />' . $trainer_str;
                        $toprint .= CHtml::link('<br />Zoznam a prihlásenie:<br />'.numberOfEnl($single->ID, $single->gym_ID), array('enlist/admincreate', 'tid' => $single->ID)) . ' <br /><br />';
                    }
                }
                if ($toprint != "") {
                    echo '<td>' . $toprint . '</td>';
                } else {
                    echo '<td></td>';
                }
            }
            echo '</tr>';
        }
        ?>
    </table>
</div>